<template>
  <scroll-view :scroll-y="true" class="main">
    <div :class="
    selectTab===1?'top':
    selectIndex===1?'top springTop':
    selectIndex===2?'top springTravelTop':
    selectIndex===4?'top labourTop':
    selectIndex===6?'top summerHolidayTop':
    selectIndex===8?'top nationalDayTop':
    ''">
      <div class="header" :style="{height:menu.height + menu.top + 'px',top:0+'px'}">
        <image :style="{bottom: ((statusBarHeight-24)/4)+'px' }" class="backArrow" src="https://eshangtech.com/ShopICO/ahyd-BID/examine/leftArrowWhite.svg" @click="handleBack"/>
      </div>

      <div class="topContent" :style="{top:200+'rpx'}">
        <p class="pageTitle" v-if="selectTab===1">节日特刊</p>
        <picker v-else mode="selector" :range="festivalList" range-key="label" :value="selectValue" @change="handleChangeType" >
          <div style="display: flex;align-items: center">
<!--            <p class="pageTitle" :style="{marginRight: '8px'}">{{`${festivalList[selectIndex-1].label}`}}</p>-->
            <p class="pageTitle" :style="{marginRight: '8px'}">{{`${festivalName}`}}</p>
            <img style="width: 32rpx;height: 32rpx" src="https://eshangtech.com/ShopICO/ahyd-BID/national/selectIcon.png"/>
          </div>
        </picker>
      </div>
    </div>

    <div class="pageContent">
      <div class="tabBox"  v-if="isUserEnter">
        <div :class="selectTab===1?'tabItem selectTab':'tabItem'" style="margin-right: 48rpx" @click="changeTab(1)">排行分析</div>
        <div :class="selectTab===2?'tabItem selectTab':'tabItem'" @click="changeTab(2)">同比分析</div>
      </div>

      <div v-if="selectTab===1">
        <!--      服务区当日营收 Top5-->
        <div class="dailyRevenue"  @click="handleGoMore(1)">
          <div class="dailyContent">
            <image class="itemBg" src="https://eshangtech.com/ShopICO/ahyd-BID/nationalDay/revenueItemBg.png"/>
            <div class="list">
              <div class="listTop">
                <p class="title">{{ dayName }}营收 Top5</p>
                <div class="moreBox">
                  <span class="text">查看更多</span>
                  <image class="moreIcon" src="https://eshangtech.com/ShopICO/ahyd-BID/commercial/rightArrow.svg"/>
                </div>
              </div>
              <div class="listBox">
                <div class="itemTop">
                  <image class="itemIcon" src="https://eshangtech.com/ShopICO/ahyd-BID/nationalDay/firstItemIcon.svg"/>
                  <div class="revenueBox">
                    <p class="revenueValue">{{ $util.fmoney(revenueSum,2) }}</p>
                    <p class="revenueText">总营收 <span>/元</span></p>
                  </div>
                </div>

                <div class="listItemTop" >
                  <div class="listTopItem" v-for="(item,index) in revenueList" :key="index">
                    <div class="itemLeft">
                      <image class="itemIcon" :src="'https://eshangtech.com/ShopICO/ahyd-BID/nationalDay/Top'+ (index +1) +'.png'" />
                      <!--                    <span class="type">{{item.ShopRegionName}}</span>-->
                      <span class="name">{{item.Serverpart_Name.split('服务区')[0]}}</span>
                    </div>
                    <div class="itemRight">
                      <span class="itemValue">{{$util.fmoney(item.CashPay,2)}}<span class="unit">/元</span></span>
                    </div>

                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <!--      当日入区车流量 Top5-->
        <div class="dailyEntry"  @click="handleGoMore(2)">
          <div class="dailyContent">
            <image class="itemBg" src="https://eshangtech.com/ShopICO/ahyd-BID/nationalDay/entryIcon.png"/>
            <div class="list">
              <div class="listTop">
                <p class="title">{{dayName}}入区车流量 Top5</p>
                <div class="moreBox">
                  <span class="text">查看更多</span>
                  <image class="moreIcon" src="https://eshangtech.com/ShopICO/ahyd-BID/commercial/rightArrow.svg"/>
                </div>
              </div>
              <div class="listBox">
                <div class="itemTop">
                  <image class="itemIcon" src="https://eshangtech.com/ShopICO/ahyd-BID/nationalDay/pass.svg"/>
                  <div class="revenueBox">
                    <p class="revenueValue">{{$util.noDecimal(entrySum)}}</p>
                    <p class="revenueText">总车流量<span>/辆</span></p>
                  </div>
                </div>

                <div class="listItemTop" >
                  <div class="listTopItem" v-for="(item,index) in entryCarList" :key="index">
                    <div class="itemLeft">
                      <image class="itemIcon" :src="'https://eshangtech.com/ShopICO/ahyd-BID/nationalDay/Top'+ (index +1) +'.png'" />
                      <span class="name">{{item.Serverpart_Name.split('服务区')[0]}}<span class="type">{{item.Serverpart_Region || ''}}</span></span>
                    </div>
                    <div class="itemRight">
                      <span class="itemValue">{{$util.noDecimal(item.Vehicle_Count) }}<span class="unit">/辆</span></span>
                    </div>

                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <!--      当日入区车流量增幅 Top5-->
        <div class="dailyEntryAdd"  @click="handleGoMore(3)">
          <div class="dailyContent">
            <image class="itemBg" src="https://eshangtech.com/ShopICO/ahyd-BID/nationalDay/entryAdd.png"/>
            <div class="list">
              <div class="listTop">
                <p class="title">{{dayName}}入区车流量增幅 Top5</p>
                <div class="moreBox">
                  <span class="text">查看更多</span>
                  <image class="moreIcon" src="https://eshangtech.com/ShopICO/ahyd-BID/commercial/rightArrow.svg"/>
                </div>
              </div>
              <div class="listBox">
                <div class="listItemTop" >
                  <div class="listTopItem" v-for="(item,index) in addList" :key="index">
                    <div class="itemLeft">
                      <image class="itemIcon" :src="'https://eshangtech.com/ShopICO/ahyd-BID/nationalDay/Top'+ (index +1) +'.png'" />
                      <span class="name">{{item.Serverpart_Name.split('服务区')[0]}}<span class="type">{{item.Serverpart_Region || ''}}</span></span>
                    </div>
                    <div class="itemRight">
                      <image class="addIcon" src='/static/images/examine/add.svg'/>
                      <span class="itemValue">{{item.Entry_GrowthRate}}%</span>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>

      <div v-if="selectTab===2" class="selectTab2">
        <div class="newDetail" @click="handleGoDetail">
          <div class="newDetailTop">
            <div class="newDetailTopLeft">
              <img class="leftIcon" src="https://eshangtech.com/ShopICO/ahyd-BID/national/revenueIcon.svg"/>
              <div class="leftTextBox">
                <span class="leftBoxTitle">营收同比</span>
                <span class="leftTime">
<!--                  {{selectIndex!==2 && selectIndex!==4?timeFrame:revenueCompareDetail.curHoliday}}-->
                {{selectIndex===2?`春运第${howDayNumber}天`:selectIndex!==4?timeFrame:revenueCompareDetail.curHoliday}}
                </span>
              </div>
            </div>
            <div class="newDetailRight" v-if="revenueCompareDetail && revenueCompareDetail.curRevenue">
              {{`${(revenueCompareDetail.curRevenue / revenueCompareDetail.compareRevenue)-1>0?'+':''}`+(((revenueCompareDetail.curRevenue /revenueCompareDetail.compareRevenue)-1)*100).toFixed(2)+'%' }}
            </div>
          </div>

          <div class="compareBox" v-if="selectIndex!==1 && selectIndex!==2">
            <img class="vsIcon" src="https://eshangtech.com/ShopICO/ahyd-BID/national/vs.svg"/>
            <div class="compareItem" style="background-image: url('https://eshangtech.com/ShopICO/ahyd-BID/national/compareLeft.svg')">
              <span class="compareTitleLeft">{{`${compareYear}年营收/元`}}</span>
              <span class="leftValue">{{revenueCompareDetail.compareRevenue?$util.fmoney(revenueCompareDetail.compareRevenue,2):'-'}}</span>
            </div>
            <div class="compareItem" style="background-image: url('https://eshangtech.com/ShopICO/ahyd-BID/national/compareRight.svg')">
              <span class="compareTitleRight ">{{`${curYear}年营收/元`}}</span>
              <span class="rightValue">{{ revenueCompareDetail.curRevenue?$util.fmoney(revenueCompareDetail.curRevenue,2):'-' }}</span>
            </div>
          </div>
          <div class="newYearDay" v-else>
            <view class="newYearItem">
              <text class="itemLabel">{{ `${curYear}年营收 / 万元` }}</text>
              <text class="itemValue">{{curRevenue?$util.getMoney(curRevenue/10000):'0.00'}}</text>
            </view>
            <view class="newYearItem">
              <text class="itemLabel">{{ `${compareYear}年营收 / 万元` }}</text>
              <text class="itemValue">{{compareRevenue?$util.getMoney(compareRevenue/10000):'0.00'}}</text>
            </view>
            <view class="newYearItem" v-if="beforeRevenue">
              <text class="itemLabel">{{ `${beforeLastYear}年营收 / 万元` }}</text>
              <text class="itemValue">{{beforeRevenue.compareRevenue?$util.getMoney(beforeRevenue.compareRevenue/10000):'0.00'}}</text>
            </view>
          </div>

          <div class="descBox">
            <div class="noticeBox">注</div>
            <div class="noticeText">
              <span class="text">{{ `${curYear?curYear.toString().slice(2,4):'-'}年${festivalName || '-'}${selectIndex===2?'':'假期'}为${revenueCompareDetail.curHoliday || '-'}，共${revenueCompareDetail.curHolidayDays || '-'}日` }}</span>
              <span class="text">{{ `${compareYear?compareYear.toString().slice(2,4):'-'}年${festivalName || '-'}${selectIndex===2?'':'假期'}为${revenueCompareDetail.compareHoliday || '-'}，共${revenueCompareDetail.compareHolidayDays || '-'}日` }}</span>
               <span class="text" v-if="beforeRevenue">{{ `${beforeLastYear?beforeLastYear.toString().slice(2,4):'-'}年${festivalName || '-'}${selectIndex===2?'':'假期'}为${beforeRevenue.compareHoliday}，共${beforeRevenue.compareHolidayDays}日` }}</span>
            </div>
          </div>
        </div>

        <div class="newDetail">
          <div class="newDetailTop carEntry">
            <div class="newDetailTopLeft">
              <img class="leftIcon" src="https://eshangtech.com/ShopICO/ahyd-BID/national/carEntry.svg"/>
              <div class="leftTextBox">
                <span class="leftBoxTitle">入区车流量</span>
                <span class="leftTime">{{selectIndex===2?`春运第${howDayNumber}天`:(selectIndex!==2 && selectIndex!==4?timeFrame:revenueCompareDetail.curHoliday)}}</span>
              </div>
            </div>
          </div>
          <span style="color: #786B6C;font-size: 14px;margin-left: 4px" >单位: 万辆</span>
          <YearRevenue :dataList="carCompareList" />
<!--          <EntryCarNumber :dataObj="compareRevenueList"/>-->
          <div class="descBox">
            <div class="noticeBox">注</div>
            <div class="noticeText">
              <span class="text">入区车辆数按当期卡口设备的服务区，计算的平均每日入区数量</span>
              <span v-if="selectIndex===2" class="text" style="color: red">历年数据维度按周统计，本年是实际发生天数累计</span>
            </div>
          </div>
        </div>

        <div class="newDetail">
          <div class="newDetailTop revenueSpecific">
            <div class="newDetailTopLeft">
              <img class="leftIcon" src="https://eshangtech.com/ShopICO/ahyd-BID/national/revenueSpecific.svg"/>
              <div class="leftTextBox">
                <span class="leftBoxTitle">营收特征分析</span>
                <span class="leftTime">{{selectIndex===2?`春运第${howDayNumber}天`:(selectIndex!==2 && selectIndex!==4?timeFrame:revenueCompareDetail.curHoliday)}}</span>
              </div>
            </div>
          </div>
          <span style="color: #786B6C;font-size: 14px;margin-left: 4px">单位: 万元</span>
          <EntryCarNumber :dataObj="compareRevenueList" />

          <div class="descBox">
            <div class="noticeBox">注</div>
            <div class="noticeText">
              <span class="text">营收按同期值比较</span>
              <span v-if="selectIndex===2" class="text" style="color: red">历年数据维度按周统计，本年是实际发生天数累计</span>
            </div>
          </div>
        </div>
      </div>
    </div>
  </scroll-view>
</template>

<script>
import request from '@/util/index.js'
import YearRevenue from "./components/yearRevenue.vue";
import EntryCarNumber from "./components/entryCarNumber.vue";
import {getLunar} from "chinese-lunar-calendar";
import moment from "moment/moment";
export default {
  name: "index",
  components: {EntryCarNumber, YearRevenue},
  data(){
    return {
      selectTab: 2,
      statusBarHeight:0,
      festivalList:[
          {label:'欢度元旦',value:1},
          {label:'2024春运',value:2},//2
          // {label:'清明',value:3},
          {label:'五一劳动节',value:4},//4
          // {label:'端午',value:5},
          {label:'欢度暑假',value:6},//6
          // {label:'中秋',value:7},
          {label:'欢度国庆',value:8}//8
      ],
      howDayNumber: 0,// 春运开始的第几天
      festivalName:'2024春运',// 节日名称
      selectValue:1,// 选择器的值
      selectIndex:2,
      menu:{},
      revenueList: [],// 营收排行
      revenueSum:0,// 营收总计
      entryCarList:[],//入区排行
      entrySum:0,// 入区总计
      addList:[],// 增幅排行
      time:'',
      dayName:'',
      carCompareList:{},// 车流对比
      compareRevenueList:{},// 营收图表数据
      flagGetRevenue:false,// 拿到营收排行
      flagGetCar:false,// 车流排行
      flagGetCarCompare:false,//车流比较
      flagGetRevenueCompare:false,// 营收比较
      isUserEnter:true,
      carCompareDetail:{},// 车流比较的详情
      revenueCompareDetail:{},// 营收比较的详情
      holidayName:'',//假期名称
      curYear: '',// 今年
      curRevenue:'',// 今年营收
      compareYear:'',// 对比年份去年
      compareRevenue:'',// 去年营收
      beforeLastYear:'',// 前年
      beforeRevenue:'',// 前年营收
      timeFrame:''
    }
  },
  onLoad(query){
    //  获取手机参数对页面进行适配
    let systemInfo = uni.getSystemInfoSync()
    this.statusBarHeight = Number(systemInfo.statusBarHeight)
    this.menu = uni.getMenuButtonBoundingClientRect()
    // 获取用户信息
    let userInfo = uni.getStorageSync('vuex')
    userInfo = JSON.parse(userInfo)
    this.useInfo = JSON.parse(JSON.stringify(userInfo))
    uni.showLoading({
      title: '正在加载...'
    })
    if (query.type){
      this.isUserEnter = !(query.type==='true')
      this.selectTab = 2
    }

    this.time = query.time
    const date = new Date(query.time)
    let y = date.getFullYear()
    let m = date.getMonth() + 1
    let d = date.getDate()
    this.curYear = y
    this.compareYear = y-1
    this.beforeLastYear = y-2
    // this.holidayName = this.selectIndex===1?'元旦':this.selectIndex===2?'春运':this.selectIndex===3?'五一':this.selectIndex===4?'暑假':this.selectIndex===5?'国庆':''
    // ${y}年
    this.dayName = `${m}月${d}日`
    if (this.selectTab===1){
      // 拿到营收排行
      this.handleGetRevenue(query.time)
      // 车流排行
      this.handleGetCar(query.time)
    }else{
      // 同比分析
      this.handleGetCarCompare()
      this.handleGetRevenueCompare()
    }

    // 拿到是春运开始的第几天
    let dayNumber = 0
    let lastDay = uni.getStorageSync('lastDay')
    const lastDate =  new Date(lastDay)
    let lastMonth =  lastDate.getMonth() + 1
    let lastDays = lastDate.getDate()
    // 24年春运开始时间为 1.26
    if (lastMonth === 1){
      dayNumber = lastDays - 26 + 1
    }else{
      dayNumber = 6 + lastDays + 1
    }
    this.howDayNumber = dayNumber
  },
  methods:{
    // 跳转到详情
    handleGoDetail(){
      console.log('1111')
      uni.navigateTo({
        url:`/pages/nationalPage/springTravel?selectType=${this.selectIndex}`
      })
    },
    // 切换节日类型
    handleChangeType(e){
      this.selectIndex = this.festivalList[Number(e.detail.value)].value
      this.festivalName = this.festivalList[Number(e.detail.value)].label
      this.selectValue = Number(e.detail.value)
      this.beforeRevenue = null
      this.revenueCompareDetail = null
      this.carCompareList = null
      this.compareRevenueList = null
      uni.showLoading({
        title:' 正在加载...'
      })
      // this.holidayName = this.selectIndex===1?'元旦':this.selectIndex===2?'春运':this.selectIndex===3?'五一':this.selectIndex===4?'暑假':this.selectIndex===5?'国庆':''
      this.handleGetCarCompare()
      this.handleGetRevenueCompare()
    },
    // 切换标签卡
    changeTab(num){
      // 因为同时需要调用两个方法 所以加载的效果 得加在外面
      this.selectTab = num
      if (num===2 && JSON.stringify(this.carCompareList)==='{}' || num===2 && JSON.stringify(this.compareRevenueList)==='{}'){
        uni.showLoading({
          title: '正在加载...'
        })
        // 因为加载的效果放在外面 同时调用两个方法 需要看哪个后调用完 让他触发 接触加载
        // 几个拿数据的方法 最后都有判断
        this.handleGetCarCompare()
        this.handleGetRevenueCompare()
      }else if (num===1) {
        uni.showLoading({
          title:' 正在加载...'
        })
        // 拿到营收排行
        this.handleGetRevenue(this.time)
        // 车流排行
        this.handleGetCar(this.time)
      }
    },
    handleGoMore(type){
      uni.navigateTo({
        url:`/pages/nationalPage/moreList?type=${type}&time=${this.time}&dayName=${this.dayName}`
      })
    },
    handleBack(){
      uni.navigateBack({
        delta: 1
      });
    },
    // 拿到营收排行
    async handleGetRevenue(date){
      const req= {
        pushProvinceCode:this.useInfo.userData.ProvinceCode || '340000',
        Statistics_Date:date,
        Revenue_Include:1
      }
      const data = await request.$webGet('CommercialApi/Revenue/GetSPRevenueRank',req)
      this.revenueSum = data.Result_Data.OtherData
      // 只展示前五
      this.revenueList = data.Result_Data.List.slice(0,5)
      this.flagGetRevenue = true
      if (this.flagGetRevenue && this.flagGetCar){
        uni.hideLoading()
      }
    },
    // 车流排行
    async handleGetCar(date){
      const req= {
        pushProvinceCode:this.useInfo.userData.ProvinceCode || '340000',
        StatisticsEndDate:date,
        ShowGrowthRate:true
      }
      const data = await request.$webGet('CommercialApi/BigData/GetBayonetGrowthAnalysis',req)
      this.entrySum = data.Result_Data.sumEntryCount
      this.entryCarList = data.Result_Data.EntryList.slice(0,5)
      let list  = []
      data.Result_Data.GrowthList.forEach(item=>{
        if (item.Entry_GrowthRate>100){
          list.push(item)
        }
      })
      this.addList = list.slice(0,5)
      this.flagGetCar=true
      if (this.flagGetRevenue && this.flagGetCar){
        uni.hideLoading()
      }
    },
    // 车流比较
    async handleGetCarCompare(){
      const date = new Date()
      let year = date.getFullYear()
      // 跟去年比
      const req = {
        pushProvinceCode:this.useInfo.userData.ProvinceCode || '340000',
        holidayType:this.selectIndex,
        curYear:this.selectIndex>2?2023:this.curYear,
        compareYear:this.selectIndex>2?2022:this.compareYear
      }

      const data = await request.$webGet('CommercialApi/BigData/GetHolidayCompare',req)
      this.carCompareDetail = data.Result_Data

      let lastData
      if (this.selectIndex === 1 || this.selectIndex === 2){
        // 跟前年比
        const lastReq = {
          pushProvinceCode:this.useInfo.userData.ProvinceCode || '340000',
          holidayType:this.selectIndex===1?1:this.selectIndex===2?2:this.selectIndex===3?4:this.selectIndex===4?6:this.selectIndex===5?8:'',
          curYear:this.curYear,
          compareYear:this.beforeLastYear
        }

        lastData = await request.$webGet('CommercialApi/BigData/GetHolidayCompare',lastReq)
      }

      let curList = []  // 今年 除以万元的
      let compareList = [] // 去年 除以万元的
      let beforeList = [] // 前年 除以万元的

      let realCurList = [] // 今年 实际的
      let realCompareList = [] // 去年 实际的
      let realBeforeList = [] // 前年 实际的

      let max = 0 // 最大值
      let dateList = [] // 日期列表

      // 组装数据给charts图表
      // 是元旦或者春节  暂时元旦和春节是三年的 别的都是两年
      if (this.selectIndex===1 || this.selectIndex===2){
        // 元旦是按照天来给图表的 春运是按周算的
        if (this.selectIndex===1){
          let allDateList = ''

          // 前年
          lastData.Result_Data.compareList.forEach(item=>{
            const date = new Date(item.name)
            let m = date.getMonth() + 1
            let d = date.getDate()
            let dateText = `${m}.${d}`
            item.easyDate = dateText
            if (allDateList.indexOf(dateText)===-1){
              if (allDateList){
                allDateList+=`,${dateText}`
              }else{
                allDateList = dateText
              }
            }
          })
          // 去年
          this.carCompareDetail.compareList.forEach(item=>{
            const date = new Date(item.name)
            let m = date.getMonth() + 1
            let d = date.getDate()
            let dateText = `${m}.${d}`
            item.easyDate = dateText
            if (allDateList.indexOf(dateText)===-1){
              if (allDateList){
                allDateList+=`,${dateText}`
              }else{
                allDateList = dateText
              }
            }
          })
          // 今年
          this.carCompareDetail.curList.forEach(item=>{
            const date = new Date(item.name)
            let m = date.getMonth() + 1
            let d = date.getDate()
            let dateText = `${m}.${d}`
            item.easyDate = dateText
            if (allDateList.indexOf(dateText)===-1){
              if (allDateList){
                allDateList+=`,${dateText}`
              }else{
                allDateList = dateText
              }
            }
          })
          // 到这里allDateList 已经拿到了全部的假期时间 把假期时间的字符串变为数组
          allDateList = allDateList.split(',')
          dateList = allDateList
          // 然后拿到对应的值 又得三个都循环一遍 比较时间对应的上的 然后再赋值给对应数组

          allDateList.forEach(item=>{
            // 前年
            let beforeValue = lastData.Result_Data.compareList.filter(filter=> filter.easyDate === item)[0].value
            if (beforeValue){
              if (Number(beforeValue)  / 10000> max){
                max = Number(beforeValue) / 10000
              }
              beforeList.push(Number(beforeValue) / 10000)
              realBeforeList.push(Number(beforeValue))
            }
            else{
              beforeList.push(0)
              realBeforeList.push(0)
            }

            // 去年
            let compareValue = this.carCompareDetail.compareList.filter(filter=> filter.easyDate === item)[0].value
            if (compareValue){
              if (Number(compareValue)   / 10000> max){
                max = Number(compareValue) / 10000
              }
              compareList.push(Number(compareValue)  / 10000)
              realCompareList.push(Number(compareValue))
            }else{
              compareList.push(0)
              realCompareList.push(0)
            }

            // 今年
            let curValue = this.carCompareDetail.curList.filter(filter=> filter.easyDate === item)[0].value
            if (curValue){
              if (Number(curValue) / 10000> max){
                max = Number(curValue) / 10000
              }
              curList.push(Number(curValue) / 10000)
              realCurList.push(Number(curValue))
            }else{
              curList.push(0)
              realCurList.push(0)
            }
          })
        }else{
          // 春运 按周来算时间
          let allDateNumber = Math.ceil(this.carCompareDetail.compareHolidayDays / 7)
          let addDateList = []
          for (let i=1;i<=allDateNumber;i++){
            addDateList.push(`第${i}周`)
          }
          dateList = addDateList
          // 到这日期已经计算出来了

          // 前年数据
          let brforeGroupList = []
          for (let i=0;i<=allDateNumber-1;i++){
            brforeGroupList.push(lastData.Result_Data.compareList.slice(7*i,7*(i+1)))
          }
          let beforeResList = []
          let realBeforeResList = []
          brforeGroupList.forEach((item,index) =>{
            let sum = 0
            item.forEach(subItem=>{
              sum+=Number(subItem.value)
            })
            if (max<Number(sum) / 10000){
              max = Number(sum) / 10000
            }
            beforeResList.push(Number(sum) / 10000)
            realBeforeResList.push(Number(sum))
          })
          beforeList = beforeResList
          realBeforeList = realBeforeResList

          // 去年数据
          let lastGroupList = []
          for (let i=0;i<=allDateNumber-1;i++){
            lastGroupList.push(this.carCompareDetail.compareList.slice(7*i,7*(i+1)))
          }
          let lastResList = []
          let realLastResList = []
          lastGroupList.forEach((item,index) =>{
            let sum = 0
            item.forEach(subItem=>{
              sum+=Number(subItem.value)
            })
            if (max<Number(sum)  / 10000){
              max = Number(sum) / 10000
            }
            lastResList.push(Number(sum)  / 10000)
            realLastResList.push(Number(sum))
          })
          compareList = lastResList
          realCompareList = realLastResList

          // 今年数据
          let curGroupList = []
          for (let i=0;i<=allDateNumber-1;i++){
            curGroupList.push(this.carCompareDetail.curList.slice(7*i,7*(i+1)))
          }
          let curResList = []
          let realCurResList = []
          curGroupList.forEach((item,index) =>{
            let sum = 0
            item.forEach(subItem=>{
              sum+=Number(subItem.value)
            })
            if (max<Number(sum) / 10000){
              max = Number(sum) / 10000
            }
            curResList.push(Number(sum)  / 10000)
            realCurResList.push(Number(sum))
          })
          curList = curResList
          realCurList = realCurResList
        }
      }
      else{
        //  其他节日
        if (this.selectIndex===6){
          // 暑假 按周来算时间
          let allDateNumber = Math.ceil(this.carCompareDetail.compareHolidayDays / 7)
          let addDateList = []
          for (let i=1;i<=allDateNumber;i++){
            addDateList.push(`第${i}周`)
          }
          dateList = addDateList
          // 到这日期已经计算出来了

          // 前年数据
          // 由于时间没到 前年就是现在查的去年 暂时先隐藏今年
          let brforeGroupList = []
          for (let i=0;i<=allDateNumber-1;i++){
            // beforeRevenue
            brforeGroupList.push(this.carCompareDetail.compareList.slice(7*i,7*(i+1)))
          }
          let beforeResList = []
          let realBeforeResList = []
          brforeGroupList.forEach((item,index) =>{
            let sum = 0
            item.forEach(subItem=>{
              sum+=Number(subItem.value)
            })
            if (max<Number(sum)  / 10000){
              max = Number(sum) / 10000
            }
            beforeResList.push(Number(sum) / 10000)
            realBeforeResList.push(Number(sum))
          })
          beforeList = beforeResList
          realBeforeList = realBeforeResList

          // 去年数据
          let lastGroupList = []
          for (let i=0;i<=allDateNumber-1;i++){
            lastGroupList.push(this.carCompareDetail.curList.slice(7*i,7*(i+1)))
          }
          let lastResList = []
          let realLastResList = []
          lastGroupList.forEach((item,index) =>{
            let sum = 0
            item.forEach(subItem=>{
              sum+=Number(subItem.value)
            })
            if (max<Number(sum) / 10000){
              max = Number(sum) / 10000
            }
            lastResList.push(Number(sum) / 10000)
            realLastResList.push(Number(sum))
          })
          compareList = lastResList
          realCompareList = realLastResList

          // 今年数据
          // let curGroupList = []
          // for (let i=0;i<=allDateNumber-1;i++){
          //   curGroupList.push(this.revenueCompareDetail.compareList.slice(7*i,7*(i+1)))
          // }
          // let curResList = []
          // let realCurResList = []
          // curGroupList.forEach((item,index) =>{
          //   let sum = 0
          //   item.forEach(subItem=>{
          //     sum+=Number(subItem.value)
          //   })
          //   if (max<Number(sum) / 10000){
          //     max = Number(sum) / 10000
          //   }
          //   curResList.push(Number(sum) / 10000)
          //   realCurResList.push(Number(sum))
          // })
          // curList = curResList
          // realCurList = realCurResList
        }
        else{
          let allDateList = ''
          // 暂时没到 就先注释
          // // 前年
          // this.beforeRevenue.compareList.forEach(item=>{
          //   const date = new Date(item.name)
          //   let m = date.getMonth() + 1
          //   let d = date.getDate()
          //   let dateText = `${m}.${d}`
          //   item.easyDate = dateText
          //   if (allDateList.indexOf(dateText)===-1){
          //     if (allDateList){
          //       allDateList+=`,${dateText}`
          //     }else{
          //       allDateList = dateText
          //     }
          //   }
          // })
          // 去年
          this.carCompareDetail.compareList.forEach(item=>{
            const date = new Date(item.name)
            let m = date.getMonth() + 1
            let d = date.getDate()
            let dateText = `${m}.${d}`
            item.easyDate = dateText
            if (allDateList.indexOf(dateText)===-1){
              if (allDateList){
                allDateList+=`,${dateText}`
              }else{
                allDateList = dateText
              }
            }
          })
          // 今年
          this.carCompareDetail.curList.forEach(item=>{
            const date = new Date(item.name)
            let m = date.getMonth() + 1
            let d = date.getDate()
            let dateText = `${m}.${d}`
            item.easyDate = dateText
            if (allDateList.indexOf(dateText)===-1){
              if (allDateList){
                allDateList+=`,${dateText}`
              }else{
                allDateList = dateText
              }
            }
          })
          // 到这里allDateList 已经拿到了全部的假期时间 把假期时间的字符串变为数组
          allDateList = allDateList.split(',')
          dateList = allDateList
          // 然后拿到对应的值 又得三个都循环一遍 比较时间对应的上的 然后再赋值给对应数组

          allDateList.forEach(item=>{
            // 因为现在没有到 所以得把22年放到前年 实际接口拿到的是去年
            // // 前年
            // beforeRevenue
            let beforeValue = this.carCompareDetail.compareList.filter(filter=> filter.easyDate === item)[0].value
            if (beforeValue){
              if (Number(beforeValue)   / 10000> max){
                max = Number(beforeValue) / 10000
              }
              beforeList.push(Number(beforeValue)  / 10000)
              realBeforeList.push(Number(beforeValue))
            }
            else{
              beforeList.push(0)
              realBeforeList.push(0)
            }
            // 去年
            let compareValue = this.carCompareDetail.curList.filter(filter=> filter.easyDate === item)[0].value
            if (compareValue){
              if (Number(compareValue)   / 10000> max){
                max = Number(compareValue) / 10000
              }
              compareList.push(Number(compareValue)  / 10000)
              realCompareList.push(Number(compareValue))
            }else{
              compareList.push(0)
              realCompareList.push(0)
            }
            // 今年
            // let curValue = this.revenueCompareDetail.curList.filter(filter=> filter.easyDate === item)[0].value
            // if (curValue){
            //   if (Number(curValue) / 10000 > max){
            //     max = Number(curValue) / 10000
            //   }
            //   curList.push(Number(curValue)/10000)
            //   realCurList.push(Number(curValue))
            // }else{
            //   curList.push(0)
            //   realCurList.push(0)
            // }
          })

        }
      }

      // 由于要计算平均值 那么就是数组的每一项除以7
      // 但是当前年可能没满一星期 所以要判断当前是第几天 每满7 除以7 没到7 除以余数

      let howWeek = Math.floor(this.howDayNumber / 7)
      let howDay = this.howDayNumber % 7
      // howWeek 已经过了几个星期 比星期多 但是没到7天的天数
      curList = curList.map((item,index)=>{
        if (howWeek===index){
          return Number(item) / howDay
        }else{
          return Number(item) / 7
        }
      })

      realCurList = realCurList.map((item,index)=>{
        if (howWeek===index){
          return Number(item) / howDay
        }else{
          return Number(item) / 7
        }
      })

      compareList = compareList.map((item,index)=>{
        return Number(item) / 7
      })

      realCompareList = realCompareList.map((item,index)=>{
        return Number(item) / 7
      })

      beforeList = beforeList.map((item,index)=>{
        return Number(item) / 7
      })

      realBeforeList = realBeforeList.map((item,index)=>{
        return Number(item) / 7
      })

      let res = {
        categories: dateList,
        series:[
          {
            name:`${this.curYear}年`,
            data:curList,
            real:realCurList
          },
          {
            name:`${this.compareYear}年`,
            data:compareList,
            real:realCompareList
          },
          {
            name:`${this.beforeLastYear}年`,
            data:beforeList,
            real:realBeforeList
          },
        ],
        max:max/7
      }
      this.carCompareList = res
      this.flagGetCarCompare= true
      if (this.flagGetCarCompare && this.flagGetRevenueCompare){
        uni.hideLoading()
      }

      // // 春节
      // if (this.selectIndex===2){
      //   if (this.selectIndex===1){
      //     // 前年的
      //     let howLastGroupNumber = Math.floor(lastData.Result_Data.compareList.length / 7)
      //     let lastGroupList = []
      //     let lastResList = []
      //     for (let i=0;i<=howLastGroupNumber-1;i++){
      //       lastGroupList.push(lastData.Result_Data.compareList.slice(7*i,7*(i+1)))
      //     }
      //     if (howLastGroupNumber*7<lastData.Result_Data.compareList.length){
      //       lastGroupList.push(lastData.Result_Data.compareList.slice(7*howLastGroupNumber,lastData.Result_Data.compareList.length))
      //     }
      //     lastGroupList.forEach((item,index)=>{
      //       if (item && item.length>0){
      //         let sum = 0
      //         item.forEach(subItem=>{
      //           sum+=Number(subItem.value)
      //         })
      //         if (sum>max){
      //           max = sum
      //         }
      //         resList.push({
      //           value:sum,
      //           name:`第${index + 1}周`
      //         })
      //       }
      //     })
      //   }
      //   // 去年的
      //   let howGroupNumber = Math.floor(data.Result_Data.compareList.length / 7)
      //   let groupList = []
      //   let resList = []
      //   for (let i=0;i<=howGroupNumber-1;i++){
      //     groupList.push(data.Result_Data.compareList.slice(7*i,7*(i+1)))
      //   }
      //   if (howGroupNumber*7<data.Result_Data.compareList.length){
      //     groupList.push(data.Result_Data.compareList.slice(7*howGroupNumber,data.Result_Data.compareList.length))
      //   }
      //   groupList.forEach((item,index)=>{
      //     if (item && item.length>0){
      //       let sum = 0
      //       item.forEach(subItem=>{
      //         sum+=Number(subItem.value)
      //       })
      //       if (sum>max){
      //         max = sum
      //       }
      //       resList.push({
      //         value:sum,
      //         name:`第${index + 1}周`
      //       })
      //     }
      //   })
      //
      //   // 今年的
      //   let howCurGroupNumber = Math.floor(data.Result_Data.curList.length / 7)
      //   let curGroupList = []
      //   let resCurList = []
      //   for (let i=0;i<=howCurGroupNumber-1;i++){
      //     curGroupList.push(data.Result_Data.curList.slice(7*i,7*(i+1)))
      //   }
      //   if (howCurGroupNumber*7<data.Result_Data.curList.length){
      //     curGroupList.push(data.Result_Data.curList.slice(7*howCurGroupNumber,data.Result_Data.curList.length))
      //   }
      //   curGroupList.forEach((item,index)=>{
      //     if (item && item.length>0){
      //       let sum = 0
      //       item.forEach(subItem=>{
      //         sum+=Number(subItem.value)
      //       })
      //       if (sum>max){
      //         max = sum
      //       }
      //       resCurList.push({
      //         value:sum,
      //         name:`第${index + 1}周`
      //       })
      //       dateList.push(`第${index + 1}周`)
      //     }
      //   })
      //   compareList = resList
      //   curList = resCurList
      //   beforeLast = lastResList
      // }
      // // 暑假
      // else if(this.selectIndex===4){
      //   if (this.selectIndex===1){
      //     // 前年的
      //     let howLastGroupNumber = Math.floor(lastData.Result_Data.compareList.length / 7)
      //     let lastGroupList = []
      //     let lastResList = []
      //     for (let i=0;i<=howLastGroupNumber-1;i++){
      //       lastGroupList.push(data.Result_Data.compareList.slice(7*i,7*(i+1)))
      //     }
      //     if (howLastGroupNumber*7<data.Result_Data.compareList.length){
      //       lastGroupList.push(data.Result_Data.compareList.slice(7*howLastGroupNumber,data.Result_Data.compareList.length))
      //     }
      //     lastGroupList.forEach((item,index)=>{
      //       if (item && item.length>0){
      //         let sum = 0
      //         item.forEach(subItem=>{
      //           sum+=Number(subItem.value)
      //         })
      //         dateList.push(`${index + 1}周`)
      //         if (sum>max){
      //           max = sum
      //         }
      //         resList.push({
      //           value:sum,
      //           name:`${index + 1}周`
      //         })
      //       }
      //     })
      //   }
      //
      //
      //
      //   // 去年的
      //   let howGroupNumber = Math.floor(data.Result_Data.compareList.length / 7)
      //   let groupList = []
      //   let resList = []
      //   for (let i=0;i<=howGroupNumber-1;i++){
      //     groupList.push(data.Result_Data.compareList.slice(7*i,7*(i+1)))
      //   }
      //   if (howGroupNumber*7<data.Result_Data.compareList.length){
      //     groupList.push(data.Result_Data.compareList.slice(7*howGroupNumber,data.Result_Data.compareList.length))
      //   }
      //   groupList.forEach((item,index)=>{
      //     if (item && item.length>0){
      //       let sum = 0
      //       item.forEach(subItem=>{
      //         sum+=Number(subItem.value)
      //       })
      //       dateList.push(`${index + 1}周`)
      //       if (sum>max){
      //         max = sum
      //       }
      //       resList.push({
      //         value:sum,
      //         name:`${index + 1}周`
      //       })
      //     }
      //   })
      //
      //   // 今年的
      //   let howCurGroupNumber = Math.floor(data.Result_Data.curList.length / 7)
      //   let curGroupList = []
      //   let resCurList = []
      //   for (let i=0;i<=howCurGroupNumber-1;i++){
      //     curGroupList.push(data.Result_Data.curList.slice(7*i,7*(i+1)))
      //   }
      //   if (howCurGroupNumber*7<data.Result_Data.curList.length){
      //     curGroupList.push(data.Result_Data.curList.slice(7*howCurGroupNumber,data.Result_Data.curList.length))
      //   }
      //   curGroupList.forEach((item,index)=>{
      //     if (item && item.length>0){
      //       let sum = 0
      //       item.forEach(subItem=>{
      //         sum+=Number(subItem.value)
      //       })
      //       if (sum>max){
      //         max = sum
      //       }
      //       resCurList.push({
      //         value:sum,
      //         name:`${index + 1}周`
      //       })
      //       if (dateList.length<=0){
      //         dateList.push(`${index + 1}周`)
      //       }
      //     }
      //   })
      //   compareList = resList
      //   curList = resCurList
      // }
      // // 其他
      // else{
      //   data.Result_Data.compareList.forEach(item=>{
      //     if (Number(item.value)>max){
      //       max = Number(item.value)
      //     }
      //     dateList.push(moment(item.name).format('M.D'))
      //     compareList.push({
      //       name:item.name,
      //       value: Number(item.value)
      //     })
      //   })
      //   data.Result_Data.curList.forEach(item=>{
      //     if (Number(item.value)>max){
      //       max = Number(item.value)
      //     }
      //     if (dateList.indexOf(moment(item.name).format('M.D'))===-1){
      //       dateList.push(moment(item.name).format('M.D'))
      //     }
      //     curList.push({
      //       name:item.name,
      //       value: Number(item.value)
      //     })
      //   })
      //   if (this.selectIndex===1){
      //     lastData.Result_Data.compareList.forEach(item=>{
      //       if (Number(item.value)>max){
      //         max = Number(item.value)
      //       }
      //       if (dateList.indexOf(moment(item.name).format('M.D'))===-1){
      //         dateList.push(moment(item.name).format('M.D'))
      //       }
      //       beforeLast.push({
      //         name:item.name,
      //         value: Number(item.value)
      //       })
      //     })
      //   }
      //
      // }
      //
      // if (this.selectIndex!==2 && this.selectIndex!==4){
      //   this.timeFrame = `${dateList[0]}-${dateList[dateList.length - 1]}`
      // }

      //
      // this.carCompareList = res
      // this.flagGetCarCompare= true
      // if (this.flagGetCarCompare && this.flagGetRevenueCompare){
      //   uni.hideLoading()
      // }
    },
    // 营收比较
    async handleGetRevenueCompare(){
      const req = {
        pushProvinceCode:this.useInfo.userData.ProvinceCode || '340000',
        StatisticsDate:this.time,
        holidayType:this.selectIndex,
        curYear:this.selectIndex>2?2023:this.curYear,
        compareYear:this.selectIndex>2?2022:this.compareYear,
      }
      const data = await request.$webGet('CommercialApi/Revenue/GetHolidayCompare',req)
      this.revenueCompareDetail = data.Result_Data
      this.curRevenue = data.Result_Data.curRevenue
      this.compareRevenue = data.Result_Data.compareRevenue

      let num = 0
      this.revenueCompareDetail.compareList.forEach(item=>{
        num+=Number(item.value)
      })


      let lastData
      if (this.selectIndex === 1 || this.selectIndex === 2){
        const lastReq = {
          pushProvinceCode:this.useInfo.userData.ProvinceCode || '340000',
          StatisticsDate:this.time,
          holidayType:this.selectIndex,
          curYear:this.curYear,
          compareYear:this.beforeLastYear,
        }
        lastData = await request.$webGet('CommercialApi/Revenue/GetHolidayCompare',lastReq)
        this.beforeRevenue = lastData.Result_Data
      }

      let curList = []  // 今年 除以万元的
      let compareList = [] // 去年 除以万元的
      let beforeList = [] // 前年 除以万元的

      let realCurList = [] // 今年 实际的
      let realCompareList = [] // 去年 实际的
      let realBeforeList = [] // 前年 实际的

      let max = 0 // 最大值
      let dateList = [] // 日期列表
      // 组装数据给charts图表
      // 是元旦或者春节
      if (this.selectIndex===1 || this.selectIndex===2){

        // 元旦是按照天来给图表的 春运是按周算的
        if (this.selectIndex===1){
          let allDateList = ''
          // 前年
          this.beforeRevenue.compareList.forEach(item=>{
            const date = new Date(item.name)
            let m = date.getMonth() + 1
            let d = date.getDate()
            let dateText = `${m}.${d}`
            item.easyDate = dateText
            if (allDateList.indexOf(dateText)===-1){
              if (allDateList){
                allDateList+=`,${dateText}`
              }else{
                allDateList = dateText
              }
            }
          })
          // 去年
          this.revenueCompareDetail.compareList.forEach(item=>{
            const date = new Date(item.name)
            let m = date.getMonth() + 1
            let d = date.getDate()
            let dateText = `${m}.${d}`
            item.easyDate = dateText
            if (allDateList.indexOf(dateText)===-1){
              if (allDateList){
                allDateList+=`,${dateText}`
              }else{
                allDateList = dateText
              }
            }
          })
          // 今年
          this.revenueCompareDetail.curList.forEach(item=>{
            const date = new Date(item.name)
            let m = date.getMonth() + 1
            let d = date.getDate()
            let dateText = `${m}.${d}`
            item.easyDate = dateText
            if (allDateList.indexOf(dateText)===-1){
              if (allDateList){
                allDateList+=`,${dateText}`
              }else{
                allDateList = dateText
              }
            }
          })
          // 到这里allDateList 已经拿到了全部的假期时间 把假期时间的字符串变为数组
          allDateList = allDateList.split(',')
          dateList = allDateList
          // 然后拿到对应的值 又得三个都循环一遍 比较时间对应的上的 然后再赋值给对应数组

          allDateList.forEach(item=>{
            // 前年
            let beforeValue = this.beforeRevenue.compareList.filter(filter=> filter.easyDate === item)[0].value
            if (beforeValue){
              if (Number(beforeValue) / 10000 > max){
                max = Number(beforeValue) / 10000
              }
              beforeList.push(Number(beforeValue) / 10000)
              realBeforeList.push(Number(beforeValue))
            }
            else{
              beforeList.push(0)
              realBeforeList.push(0)
            }
            // 去年
            let compareValue = this.revenueCompareDetail.compareList.filter(filter=> filter.easyDate === item)[0].value
            if (compareValue){
              if (Number(compareValue) / 10000 > max){
                max = Number(compareValue) / 10000
              }
              compareList.push(Number(compareValue) / 10000)
              realCompareList.push(Number(compareValue))
            }else{
              compareList.push(0)
              realCompareList.push(0)
            }
            // 今年
            let curValue = this.revenueCompareDetail.curList.filter(filter=> filter.easyDate === item)[0].value
            if (curValue){
              if (Number(curValue) / 10000 > max){
                max = Number(curValue) / 10000
              }
              curList.push(Number(curValue)/10000)
              realCurList.push(Number(curValue))
            }else{
              curList.push(0)
              realCurList.push(0)
            }
          })
        }
        else{
          // 春运 按周来算时间
          let allDateNumber = Math.ceil(this.beforeRevenue.compareHolidayDays / 7)
          let addDateList = []
          for (let i=1;i<=allDateNumber;i++){
            addDateList.push(`第${i}周`)
          }
          dateList = addDateList
          // 到这日期已经计算出来了

          // 前年数据
          let brforeGroupList = []
          for (let i=0;i<=allDateNumber-1;i++){
            brforeGroupList.push(this.beforeRevenue.compareList.slice(7*i,7*(i+1)))
          }
          let beforeResList = []
          let realBeforeResList = []
          brforeGroupList.forEach((item,index) =>{
            let sum = 0
            item.forEach(subItem=>{
              sum+=Number(subItem.value)
            })
            if (max<Number(sum) / 10000){
              max = Number(sum) / 10000
            }
            beforeResList.push(Number(sum) / 10000)
            realBeforeResList.push(Number(sum))
          })
          beforeList = beforeResList
          realBeforeList = realBeforeResList

          // 去年数据
          let lastGroupList = []
          for (let i=0;i<=allDateNumber-1;i++){
            lastGroupList.push(this.revenueCompareDetail.compareList.slice(7*i,7*(i+1)))
          }
          let lastResList = []
          let realLastResList = []
          lastGroupList.forEach((item,index) =>{
            let sum = 0
            item.forEach(subItem=>{
              sum+=Number(subItem.value)
            })
            if (max<Number(sum) / 10000){
              max = Number(sum) / 10000
            }
            lastResList.push(Number(sum) / 10000)
            realLastResList.push(Number(sum))
          })
          compareList = lastResList
          realCompareList = realLastResList

          // 今年数据
          let curGroupList = []
          for (let i=0;i<=allDateNumber-1;i++){
            curGroupList.push(this.revenueCompareDetail.curList.slice(7*i,7*(i+1)))
          }
          let curResList = []
          let realCurResList = []
          curGroupList.forEach((item,index) =>{
            let sum = 0
            item.forEach(subItem=>{
              sum+=Number(subItem.value)
            })
            if (max<Number(sum) / 10000){
              max = Number(sum) / 10000
            }
            curResList.push(Number(sum) / 10000)
            realCurResList.push(Number(sum))
          })
          curList = curResList
          realCurList = realCurResList
        }

      }else{
      //  其他节日
        if (this.selectIndex===6){
          // 暑假 按周来算时间
          let allDateNumber = Math.ceil(this.revenueCompareDetail.compareHolidayDays / 7)
          let addDateList = []
          for (let i=1;i<=allDateNumber;i++){
            addDateList.push(`第${i}周`)
          }
          dateList = addDateList
          // 到这日期已经计算出来了

          // 前年数据
          // 由于时间没到 前年就是现在查的去年 暂时先隐藏今年
          let brforeGroupList = []
          for (let i=0;i<=allDateNumber-1;i++){
            // beforeRevenue
            brforeGroupList.push(this.revenueCompareDetail.compareList.slice(7*i,7*(i+1)))
          }
          let beforeResList = []
          let realBeforeResList = []
          brforeGroupList.forEach((item,index) =>{
            let sum = 0
            item.forEach(subItem=>{
              sum+=Number(subItem.value)
            })
            if (max<Number(sum) / 10000){
              max = Number(sum) / 10000
            }
            beforeResList.push(Number(sum) / 10000)
            realBeforeResList.push(Number(sum))
          })
          beforeList = beforeResList
          realBeforeList = realBeforeResList

          // 去年数据
          let lastGroupList = []
          for (let i=0;i<=allDateNumber-1;i++){
            lastGroupList.push(this.revenueCompareDetail.curList.slice(7*i,7*(i+1)))
          }
          let lastResList = []
          let realLastResList = []
          lastGroupList.forEach((item,index) =>{
            let sum = 0
            item.forEach(subItem=>{
              sum+=Number(subItem.value)
            })
            if (max<Number(sum) / 10000){
              max = Number(sum) / 10000
            }
            lastResList.push(Number(sum) / 10000)
            realLastResList.push(Number(sum))
          })
          compareList = lastResList
          realCompareList = realLastResList

          // 今年数据
          // let curGroupList = []
          // for (let i=0;i<=allDateNumber-1;i++){
          //   curGroupList.push(this.revenueCompareDetail.compareList.slice(7*i,7*(i+1)))
          // }
          // let curResList = []
          // let realCurResList = []
          // curGroupList.forEach((item,index) =>{
          //   let sum = 0
          //   item.forEach(subItem=>{
          //     sum+=Number(subItem.value)
          //   })
          //   if (max<Number(sum) / 10000){
          //     max = Number(sum) / 10000
          //   }
          //   curResList.push(Number(sum) / 10000)
          //   realCurResList.push(Number(sum))
          // })
          // curList = curResList
          // realCurList = realCurResList

        }else{
          let allDateList = ''
          // 暂时没到 就先注释
          // // 前年
          // this.beforeRevenue.compareList.forEach(item=>{
          //   const date = new Date(item.name)
          //   let m = date.getMonth() + 1
          //   let d = date.getDate()
          //   let dateText = `${m}.${d}`
          //   item.easyDate = dateText
          //   if (allDateList.indexOf(dateText)===-1){
          //     if (allDateList){
          //       allDateList+=`,${dateText}`
          //     }else{
          //       allDateList = dateText
          //     }
          //   }
          // })
          // 去年
          this.revenueCompareDetail.compareList.forEach(item=>{
            const date = new Date(item.name)
            let m = date.getMonth() + 1
            let d = date.getDate()
            let dateText = `${m}.${d}`
            item.easyDate = dateText
            if (allDateList.indexOf(dateText)===-1){
              if (allDateList){
                allDateList+=`,${dateText}`
              }else{
                allDateList = dateText
              }
            }
          })
          // 今年
          this.revenueCompareDetail.curList.forEach(item=>{
            const date = new Date(item.name)
            let m = date.getMonth() + 1
            let d = date.getDate()
            let dateText = `${m}.${d}`
            item.easyDate = dateText
            if (allDateList.indexOf(dateText)===-1){
              if (allDateList){
                allDateList+=`,${dateText}`
              }else{
                allDateList = dateText
              }
            }
          })
          // 到这里allDateList 已经拿到了全部的假期时间 把假期时间的字符串变为数组
          allDateList = allDateList.split(',')
          dateList = allDateList
          // 然后拿到对应的值 又得三个都循环一遍 比较时间对应的上的 然后再赋值给对应数组

          allDateList.forEach(item=>{
            // 因为现在没有到 所以得把22年放到前年 实际接口拿到的是去年
            // // 前年
            // beforeRevenue
            let beforeValue = this.revenueCompareDetail.compareList.filter(filter=> filter.easyDate === item)[0].value
            if (beforeValue){
              if (Number(beforeValue) / 10000 > max){
                max = Number(beforeValue) / 10000
              }
              beforeList.push(Number(beforeValue) / 10000)
              realBeforeList.push(Number(beforeValue))
            }
            else{
              beforeList.push(0)
              realBeforeList.push(0)
            }
            // 去年
            let compareValue = this.revenueCompareDetail.curList.filter(filter=> filter.easyDate === item)[0].value
            if (compareValue){
              if (Number(compareValue) / 10000 > max){
                max = Number(compareValue) / 10000
              }
              compareList.push(Number(compareValue) / 10000)
              realCompareList.push(Number(compareValue))
            }else{
              compareList.push(0)
              realCompareList.push(0)
            }
            // 今年
            // let curValue = this.revenueCompareDetail.curList.filter(filter=> filter.easyDate === item)[0].value
            // if (curValue){
            //   if (Number(curValue) / 10000 > max){
            //     max = Number(curValue) / 10000
            //   }
            //   curList.push(Number(curValue)/10000)
            //   realCurList.push(Number(curValue))
            // }else{
            //   curList.push(0)
            //   realCurList.push(0)
            // }
          })

        }
      }

      let res = {
        categories: dateList,
        series:[
          {
            name:`${this.curYear}年`,
            data:curList,
            real:realCurList,
            howDayNumber:this.howDayNumber
          },
          {
            name:`${this.compareYear}年`,
            data:compareList,
            real:realCompareList,
            howDayNumber:this.howDayNumber
          },
          {
            name:`${this.beforeLastYear}年`,
            data:beforeList,
            real:realBeforeList,
            howDayNumber:this.howDayNumber
          },
        ],
        max:Number(max.toFixed(2)),
      }
      this.compareRevenueList = res
      this.flagGetRevenueCompare= true
      if (this.flagGetRevenueCompare && this.flagGetRevenueCompare){
        uni.hideLoading()
      }
    },
  }
}
</script>



<style scoped lang="scss">
@import '/static/public/fontNational/stylesheet.css';
.main{
  width: 100%;
  height: 100vh;
  .top{
    width: 100%;
    height: 560rpx;
    //position: relative;
    background-image: url("https://eshangtech.com/ShopICO/ahyd-BID/nationalDay/pageBg.png");
    background-repeat: no-repeat;
    background-position: 0 0;
    background-size: cover;
    //z-index:3;
    .topBg{
      width: 100%;
      height: 100%;
      z-index: 4;
    }
    .header{
      position: fixed;
      background-image: url("https://eshangtech.com/ShopICO/ahyd-BID/nationalDay/pageBg.png");
      background-repeat: no-repeat;
      background-position: 0 0 ;
      background-size: cover;
      width: 100%;
      padding: 0 16px;
      box-sizing: border-box;
      display: flex;
      align-items: center;
      z-index: 2;
      .backArrow{
        width: 24px;
        height: 24px;
        margin-right: 16px;
        position: absolute;
      }
    }
    .topContent{
      position: absolute;
      left: 32rpx;
      .pageTitle{
        font-size: 56rpx;
        font-family: Alimama ShuHeiTi;
        font-weight: bold;
        color: #FFFFFF;
        line-height: 68rpx;
        //text-shadow: 0px 8px 20px rgba(158,29,0,0.25);
        //background: linear-gradient(180deg, #FEFFFE 0%, #FFC7B6 100%);
        //-webkit-background-clip: text;
        //-webkit-text-fill-color: transparent;
      }
    }
  }

  .springTop{
    background-image:url("https://eshangtech.com/ShopICO/ahyd-BID/national/spring.png") !important;
    .header{
      background-image:url("https://eshangtech.com/ShopICO/ahyd-BID/national/spring.png") !important;
    }
    .topContent{
      .pageTitle{
        font-size: 56rpx;
        font-family: AlimamaShuHeiTi-Bold, AlimamaShuHeiTi;
        font-weight: bold;
        color: #FFFFFF;
        line-height: 68rpx;
        text-shadow: 0px 8px 20px #F66152;
        background: linear-gradient(180deg, #FFF3ED 0%, #FF988E 100%);
        -webkit-background-clip: text;
        -webkit-text-fill-color: transparent;
      }
    }
  }
  .springTravelTop{
    background-image:url("https://eshangtech.com/ShopICO/ahyd-BID/newIndex3/springTravelBg.png") !important;
    .header{
      background: transparent;
    }
    .topContent{
      .pageTitle{
        font-size: 56rpx;
        font-family: AlimamaShuHeiTi-Bold, AlimamaShuHeiTi;
        font-weight: bold;
        color: #FFF2D2!important;
        line-height: 68rpx;
        text-shadow: 0px 8px 20px #E63525!important;
        //background: #FFF2D2 ;
        background: linear-gradient(180deg, #FFF3D7 0%, #FFEFBC 100%);
        -webkit-background-clip: text;
        //-webkit-text-fill-color: transparent;
      }
    }
  }
  .labourTop{
    background-image:url("https://eshangtech.com/ShopICO/ahyd-BID/national/labour.png") !important;
    .header{
      background-image:url("https://eshangtech.com/ShopICO/ahyd-BID/national/labour.png") !important;
    }
    .topContent{
      .pageTitle{
        font-size: 56rpx;
        font-family: AlimamaShuHeiTi-Bold, AlimamaShuHeiTi;
        font-weight: bold;
        color: #FFFFFF;
        line-height: 68rpx;
        text-shadow: 0px 8px 20px #DAAE04;
        background: linear-gradient(180deg, #FFFBEE 0%, #FFD73B 100%);
        -webkit-background-clip: text;
        -webkit-text-fill-color: transparent;
      }
    }
  }
  .summerHolidayTop{
    background-image:url("https://eshangtech.com/ShopICO/ahyd-BID/national/summerHoliday.png") !important;
    .header{
      background-image:url("https://eshangtech.com/ShopICO/ahyd-BID/national/summerHoliday.png") !important;
    }
    .topContent{
      .pageTitle{
        font-size: 56rpx;
        font-family: AlimamaShuHeiTi-Bold, AlimamaShuHeiTi;
        font-weight: bold;
        color: #FFFFFF;
        line-height: 68rpx;
        text-shadow: 0px 8px 20px #9CB522;
        background: linear-gradient(180deg, #FDFFF1 0%, #C4D844 100%);
        -webkit-background-clip: text;
        -webkit-text-fill-color: transparent;
      }
    }
  }
  .nationalDayTop{
    background-image:url("https://eshangtech.com/ShopICO/ahyd-BID/national/nationalDay.png") !important;
    .header{
      background-image:url("https://eshangtech.com/ShopICO/ahyd-BID/national/nationalDay.png") !important;
    }
    .topContent{
      .pageTitle{
        font-size: 56rpx;
        font-family: AlimamaShuHeiTi-Bold, AlimamaShuHeiTi;
        font-weight: bold;
        color: #FFFFFF;
        line-height: 68rpx;
        text-shadow: 0px 8px 20px #FF7915;
        background: linear-gradient(180deg, #FFF7F0 0%, #FFB576 100%);
        -webkit-background-clip: text;
        -webkit-text-fill-color: transparent;
      }
    }
  }

  .pageContent{
    width: 100%;
    box-sizing: border-box;
    padding: 0 32rpx 28rpx;
    //background-image: url("https://eshangtech.com/ShopICO/ahyd-BID/nationalDay/pageBg.png");
    //background-repeat: no-repeat;
    //background-size: contain;
    transform: translateY(-260rpx);

    .tabBox{
      display: flex;
      align-items: center;
      margin-bottom: 20rpx;
      .tabItem{
        display: inline-block;
        font-size: 32rpx;
        font-family: PingFangSC-Semibold, PingFang SC;
        font-weight: 600;
        color: #FEE1DD;
        line-height: 44rpx;
        box-sizing: border-box;
        padding-bottom: 12rpx;
      }
      .selectTab{
        font-size: 32rpx;
        font-family: PingFangSC-Semibold, PingFang SC;
        font-weight: 600;
        color: #FFFFFF;
        line-height: 44rpx;
        border-bottom: 2px solid #FFFFFF;
      }
    }

    .dailyRevenue{
      width: 100%;
      height: 680rpx;
      background: #fff;
      border-radius: 24rpx;
      box-sizing: border-box;
      padding: 2px;
      .dailyContent{
        width: 100%;
        height: 100%;
        box-sizing: border-box;
        padding: 22rpx 24rpx;
        background: linear-gradient(360deg, rgba(255,233,229,0) 0%, rgba(255,233,229,0.7) 21%, #FFE9E5 100%);
        border-radius: 20rpx;
        position: relative;
        .itemBg{
          width: 266rpx;
          height: 208rpx;
          position: absolute;
          right: 0;top: 0;
          z-index:1;
        }
        .list{
          position: absolute;
          width: calc(100% - 48rpx);
          z-index: 2;
          .listTop{
            display: flex;
            align-items: center;
            justify-content: space-between;
            .title{
              font-size: 36rpx;
              font-family: Alimama ShuHeiTi;
              font-weight: bold;
              color: #F95222;
              line-height: 44rpx;
            }
            .moreBox{
              display: flex;
              align-items: center;
              justify-content: space-between;
              .text{
                font-size: 24rpx;
                font-family: PingFangSC-Regular, PingFang SC;
                font-weight: 400;
                color: #A69E9F;
                line-height: 36rpx;
              }
              .moreIcon{
                width: 20rpx;
                height: 40rpx;
                margin-left: 4rpx;
              }
            }
          }

          .listBox{
            width: 100%;
            background: #fff;
            margin-top: 22rpx;
            border-radius: 12rpx;
            box-sizing: border-box;
            padding: 32rpx;
            .itemTop{
              width: 100%;
              display: flex;
              align-items: center;
              justify-content: space-between;
              box-sizing: border-box;
              padding-bottom: 36rpx;
              border-bottom: 2rpx solid #F7F4F4;
              .itemIcon{
                width: 96rpx;
                height: 96rpx;
                border-radius: 16rpx;
              }
              .revenueBox{
                .revenueValue{
                  font-size: 40rpx;
                  font-family: DINAlternate-Bold, DINAlternate;
                  font-weight: bold;
                  color: #160002;
                  line-height: 48rpx;
                }
                .revenueText{
                  font-size: 28rpx;
                  font-family: PingFangSC-Regular, PingFang SC;
                  font-weight: 400;
                  color: #786B6C;
                  line-height: 40rpx;
                  text-align: right;
                  span{
                    font-size: 28rpx;
                    font-family: PingFangSC-Regular, PingFang SC;
                    font-weight: 400;
                    color: #A69E9F;
                    line-height: 40rpx;
                    margin-left: 4rpx;
                  }
                }
              }
            }

            .listItemTop{
              margin-top: 34rpx;
              .listTopItem{
                width: 100%;
                display: flex;
                align-items: center;
                justify-content: space-between;
                padding: 10rpx 0;
                .itemLeft{
                  display: flex;
                  align-items: center;
                  .itemIcon{
                    width: 40rpx;
                    height: 40rpx;
                  }

                  .name{
                    margin-left: 20rpx;
                    font-size: 28rpx;
                    font-family: PingFangSC-Semibold, PingFang SC;
                    font-weight: 600;
                    color: #160002;
                    line-height: 40rpx;
                    .type{
                      font-size: 24rpx;
                      font-family: PingFangSC-Regular, PingFang SC;
                      font-weight: 400;
                      color: #786B6C;
                      line-height: 36rpx;
                      margin-left: 4rpx;
                    }
                  }
                }
                .itemRight{
                  .itemValue{
                    font-size: 32rpx;
                    font-family: DINAlternate-Bold, DINAlternate;
                    font-weight: bold;
                    color: #160002;
                    line-height: 40rpx;
                    .unit{
                      font-size: 28rpx;
                      font-family: PingFangSC-Regular, PingFang SC;
                      font-weight: 400;
                      color: #A69E9F;
                      line-height: 40rpx;
                      margin-left: 4rpx;
                    }
                  }
                }
              }
            }
          }
        }
      }
    }

    .dailyEntry{
      width: 100%;
      height: 680rpx;
      background: #fff;
      border-radius: 24rpx;
      box-sizing: border-box;
      padding: 2px;
      margin-top: 28rpx;
      .dailyContent{
        width: 100%;
        height: 100%;
        box-sizing: border-box;
        padding: 22rpx 24rpx;
        background: linear-gradient(360deg, rgba(238,242,255,0) 0%, rgba(238,242,255,0.7) 20%, #EEF2FF 100%);
        border-radius: 20rpx;
        position: relative;
        .itemBg{
          width: 320rpx;
          height: 320rpx;
          position: absolute;
          right: 0;top: 0;
          z-index:1;
        }
        .list{
          position: absolute;
          width: calc(100% - 48rpx);
          z-index: 2;
          .listTop{
            display: flex;
            align-items: center;
            justify-content: space-between;
            .title{
              font-size: 36rpx;
              font-family: Alimama ShuHeiTi;
              font-weight: bold;
              color: #096EF7;
              line-height: 44rpx;
            }
            .moreBox{
              display: flex;
              align-items: center;
              justify-content: space-between;
              .text{
                font-size: 24rpx;
                font-family: PingFangSC-Regular, PingFang SC;
                font-weight: 400;
                color: #A69E9F;
                line-height: 36rpx;
              }
              .moreIcon{
                width: 20rpx;
                height: 40rpx;
                margin-left: 4rpx;
              }
            }
          }
          .listBox{
            width: 100%;
            background: #fff;
            margin-top: 22rpx;
            border-radius: 12rpx;
            box-sizing: border-box;
            padding: 32rpx;
            .itemTop{
              width: 100%;
              display: flex;
              align-items: center;
              justify-content: space-between;
              box-sizing: border-box;
              padding-bottom: 36rpx;
              border-bottom: 2rpx solid #F7F4F4;
              .itemIcon{
                width: 96rpx;
                height: 96rpx;
                border-radius: 16rpx;
              }
              .revenueBox{
                .revenueValue{
                  font-size: 40rpx;
                  font-family: DINAlternate-Bold, DINAlternate;
                  font-weight: bold;
                  color: #160002;
                  line-height: 48rpx;
                }
                .revenueText{
                  font-size: 28rpx;
                  font-family: PingFangSC-Regular, PingFang SC;
                  font-weight: 400;
                  color: #786B6C;
                  line-height: 40rpx;
                  text-align: right;
                  span{
                    font-size: 28rpx;
                    font-family: PingFangSC-Regular, PingFang SC;
                    font-weight: 400;
                    color: #A69E9F;
                    line-height: 40rpx;
                    margin-left: 4rpx;
                  }
                }
              }
            }
            .listItemTop{
              margin-top: 34rpx;
              .listTopItem{
                width: 100%;
                display: flex;
                align-items: center;
                justify-content: space-between;
                padding: 10rpx 0;
                .itemLeft{
                  display: flex;
                  align-items: center;
                  .itemIcon{
                    width: 40rpx;
                    height: 40rpx;
                  }
                  .name{
                    margin-left: 20rpx;
                    font-size: 28rpx;
                    font-family: PingFangSC-Semibold, PingFang SC;
                    font-weight: 600;
                    color: #160002;
                    line-height: 40rpx;
                    .type{
                      font-size: 24rpx;
                      font-family: PingFangSC-Regular, PingFang SC;
                      font-weight: 400;
                      color: #786B6C;
                      line-height: 36rpx;
                      margin-left: 4rpx;
                    }
                  }
                }
                .itemRight{
                  .itemValue{
                    font-size: 32rpx;
                    font-family: DINAlternate-Bold, DINAlternate;
                    font-weight: bold;
                    color: #160002;
                    line-height: 40rpx;
                    .unit{
                      font-size: 28rpx;
                      font-family: PingFangSC-Regular, PingFang SC;
                      font-weight: 400;
                      color: #A69E9F;
                      line-height: 40rpx;
                      margin-left: 4rpx;
                    }
                  }
                }
              }
            }
          }
        }
      }
    }

    .dailyEntryAdd{
      width: 100%;
      height: 500rpx;
      background: #fff;
      border-radius: 24rpx;
      box-sizing: border-box;
      padding: 2px;
      margin-top: 28rpx;
      .dailyContent{
        width: 100%;
        height: 100%;
        box-sizing: border-box;
        padding: 22rpx 24rpx;
        background: linear-gradient(360deg, rgba(229,247,255,0) 0%, rgba(229,247,255,0.7) 23%, #E5F7FF 100%);
        border-radius: 20rpx;
        position: relative;
        .itemBg{
          width: 320rpx;
          height: 320rpx;
          position: absolute;
          right: 0;top: 0;
          z-index:1;
        }
        .list{
          position: absolute;
          width: calc(100% - 48rpx);
          z-index: 2;
          .listTop{
            display: flex;
            align-items: center;
            justify-content: space-between;
            .title{
              font-size: 36rpx;
              font-family: Alimama ShuHeiTi;
              font-weight: bold;
              color: #018ABD;
              line-height: 44rpx;
            }
            .moreBox{
              display: flex;
              align-items: center;
              justify-content: space-between;
              .text{
                font-size: 24rpx;
                font-family: PingFangSC-Regular, PingFang SC;
                font-weight: 400;
                color: #A69E9F;
                line-height: 36rpx;
              }
              .moreIcon{
                width: 20rpx;
                height: 40rpx;
                margin-left: 4rpx;
              }
            }
          }
          .listBox{
            width: 100%;
            background: #fff;
            margin-top: 22rpx;
            border-radius: 12rpx;
            box-sizing: border-box;
            padding: 32rpx;
            .listItemTop{
              .listTopItem{
                width: 100%;
                display: flex;
                align-items: center;
                justify-content: space-between;
                padding: 10rpx 0;
                .itemLeft{
                  display: flex;
                  align-items: center;
                  .itemIcon{
                    width: 40rpx;
                    height: 40rpx;
                  }
                  .name{
                    margin-left: 20rpx;
                    font-size: 28rpx;
                    font-family: PingFangSC-Semibold, PingFang SC;
                    font-weight: 600;
                    color: #160002;
                    line-height: 40rpx;
                    .type{
                      font-size: 24rpx;
                      font-family: PingFangSC-Regular, PingFang SC;
                      font-weight: 400;
                      color: #786B6C;
                      line-height: 36rpx;
                      margin-left: 4rpx;
                    }
                  }
                }
                .itemRight{
                  .addIcon{
                    width: 28rpx;
                    height: 28rpx;
                  }
                  .itemValue{
                    display: inline-block;
                    width: 80px;
                    text-align: left;
                    margin-left: 8rpx;
                    font-size: 32rpx;
                    font-family: DINAlternate-Bold, DINAlternate;
                    font-weight: bold;
                    color: #160002;
                    line-height: 40rpx;
                  }
                }
              }
            }
          }
        }
      }
    }

    .selectTab2{
      box-sizing: border-box;
      border-radius: 8rpx;
      .newDetail{
        width: 100%;
        box-sizing: border-box;
        border-radius: 24rpx;
        background: #fff;
        padding: 4rpx 4rpx 32rpx 4rpx;
        margin-bottom: 24rpx;
        .newDetailTop{
          width: 100%;
          background: linear-gradient(360deg, rgba(255,233,229,0) 0%, rgba(255,248,247,0.7) 34%, #FFEEEC 100%);
          border-radius: 20rpx;
          box-sizing: border-box;
          padding: 32rpx 24rpx;
          display: flex;
          align-items: center;
          justify-content: space-between;
          .newDetailTopLeft{
            display: flex;
            align-items: center;
            .leftIcon{
              width: 96rpx;
              height: 96rpx;
              border-radius: 16rpx;
              margin-right: 20rpx;
            }
            .leftTextBox{
              display: flex;
              flex-direction: column;
              .leftBoxTitle{
                font-size: 32rpx;
                font-family: PingFangSC-Semibold, PingFang SC;
                font-weight: 600;
                color: #160002;
                line-height: 44rpx;
                margin-bottom: 4rpx;
              }
              .leftTime{
                font-size: 28rpx;
                font-family: PingFangSC-Regular, PingFang SC;
                font-weight: 400;
                color: #786B6C;
                line-height: 40rpx;
              }
            }
          }
          .newDetailRight{
            font-size: 48rpx;
            font-family: DINAlternate-Bold, DINAlternate;
            font-weight: bold;
            color: #E83944;
            line-height: 48rpx;
          }
        }

        .compareBox{
          width: 100%;
          box-sizing: border-box;
          padding: 0 24rpx;
          display: flex;
          align-items: center;
          position: relative;
          margin-bottom: 24rpx;
          .compareItem{
            width: 50%;
            height: 176rpx;
            box-sizing: border-box;
            padding: 40rpx 24rpx;
            background-size: 100% 100%;
            background-repeat: no-repeat;
            .compareImg{
              width: 100%;
              height: 100%;
            }
            .compareTitleLeft{
              font-size: 28rpx;
              font-family: PingFangSC-Regular, PingFang SC;
              font-weight: 400;
              color: #0087FA;
              line-height: 40rpx;
              display: block;
              text-align: left;
            }
            .leftValue{
              font-size: 32rpx;
              font-family: DINAlternate-Bold, DINAlternate;
              font-weight: bold;
              color: #0087FA;
              line-height: 52rpx;
              display: block;
              text-align: left;
            }
            .compareTitleRight{
              display: block;
              font-size: 28rpx;
              font-family: PingFangSC-Regular, PingFang SC;
              font-weight: 400;
              color: #FFFFFF;
              line-height: 40rpx;
              text-align: right;
            }
            .rightValue{
              display: block;
              font-size: 32rpx;
              font-family: DINAlternate-Bold, DINAlternate;
              font-weight: bold;
              color: #FFFFFF;
              line-height: 52rpx;
              text-align: right;
            }
          }
          .compareItemRight{
            display: flex;
            flex-direction: column;
            align-items: flex-end;
            justify-content: flex-end;
          }
          .compareItemLeft{
            display: flex;
            flex-direction: column;
            align-items: flex-start;
            justify-content: flex-start;
          }
          .vsIcon{
            position: absolute;
            top: 50%;left: 50%;
            transform: translate(-50% , -50%);
            width: 56rpx;
            height: 56rpx;
          }
        }

        .newYearDay{
          width: calc(100% - 48rpx);
          margin-left: 24rpx;
          box-sizing: border-box;
          padding: 26rpx 24rpx 16rpx;
          margin-bottom: 24rpx;
          background: linear-gradient(318deg, #DDF7FF 0%, #E1F0FF 100%);
          .newYearItem{
            display: flex;
            align-items: center;
            margin-bottom: 14rpx;
            justify-content: space-between;
            .itemLabel{
              font-size: 28rpx;
              font-family: PingFangSC, PingFang SC;
              font-weight: 400;
              color: #0087FA;
              line-height: 40rpx;
            }
            .itemValue{
              font-size: 36rpx;
              font-family: DINAlternate, DINAlternate;
              font-weight: bold;
              color: #0087FA;
              line-height: 42rpx;
            }
          }
        }

        .descBox{
          width: calc(100% - 48rpx);
          margin-left: 24rpx;
          box-sizing: border-box;
          padding: 24rpx;
          background: #F6F7F9;
          border-radius: 16rpx;
          display: flex;
          align-items: flex-start;
          .noticeBox{
            display: flex;
            justify-content: center;
            align-items: center;
            box-sizing: border-box;
            padding: 2rpx 8rpx;
            background: #DEE7FA;
            border-radius: 4rpx;
            font-size: 24rpx;
            font-family: PingFangSC-Regular, PingFang SC;
            font-weight: 400;
            color: #160002;
            line-height: 36rpx;
            margin-right: 12rpx;
          }
          .noticeText{
            .text{
              display: block;
              font-size: 28rpx;
              font-family: PingFangSC-Regular, PingFang SC;
              font-weight: 400;
              color: #786B6C;
              line-height: 40rpx;
            }
          }
        }

        .carEntry{
          background: linear-gradient(360deg, rgba(238,242,255,0) 0%, rgba(239,243,255,0.7) 41%, #F0F4FF 100%)!important;
        }
        .revenueSpecific{
          background: linear-gradient(360deg, rgba(236,236,255,0) 0%, rgba(244,244,255,0.7) 39%, #F0F0FF 100%)!important;
        }
      }


      .detail{
        margin-bottom: 24rpx;
        .tabTitle{
          font-size: 32rpx;
          font-family: PingFangSC-Semibold, PingFang SC;
          font-weight: 600;
          color: #160002;
          line-height: 40rpx;
          margin-bottom: 12rpx;
        }
        .unit{
          font-size: 24rpx;
          font-family: PingFangSC-Regular, PingFang SC;
          font-weight: 400;
          color: #A69E9F;
          line-height: 36rpx;
        }
        .descText{
          font-size: 24rpx;
          font-family: PingFangSC-Regular, PingFang SC;
          font-weight: 400;
          color: #A69E9F;
          line-height: 36rpx;
          margin-right: 8rpx;
        }
        .detailTop{
          display: flex;
          align-items: center;
          justify-content: space-between;
          .tabTitle{
            font-size: 32rpx;
            font-family: PingFangSC-Semibold, PingFang SC;
            font-weight: 600;
            color: #160002;
            line-height: 40rpx;
            margin-bottom: 12rpx;
          }
          .timeText{
            font-size: 28rpx;
            font-family: PingFangSC-Regular, PingFang SC;
            font-weight: 400;
            color: #A69E9F;
            line-height: 40rpx
          }
        }

        .money{
          width:calc(100% - 32px);
          padding: 18px 16px;
          background: #F7F7F7;
          border-radius: 4px;
          .moneyTop{
            display: flex;
            align-items: center;
            justify-content: space-between;
            margin-bottom: 4px;
            //.moneyTopItem{
            //  display: flex;
            //  align-items: center;
            .moneyTitle{
              font-size: 28rpx;
              font-family: DINAlternate-Bold, DINAlternate;
              font-weight: 400;
              color: #160002;
              line-height: 36rpx;
            }
              .icon{
                width: 20px;
                height: 20px;
                margin-right: 8px;
              }
              .sumMoney{
                font-size: 16px;
                font-family: DINAlternate-Bold, DINAlternate;
                font-weight: bold;
                color: #341D00;
                line-height: 24px;
                  .notice{
                    font-size: 14px;
                    font-family: PingFangSC-Regular, PingFang SC;
                    font-weight: 400;
                    color: #a69e9f;
                    line-height: 20px;
                    margin-left: 8rpx;
                  }
                }
              }
          }
          .desc{
            display: flex;
            align-items: flex-start;
            justify-content: flex-end;
            .descLeft{
              font-size: 24rpx;
              font-family: PingFangSC-Regular, PingFang SC;
              font-weight: 400;
              color: #A69E9F;
              line-height: 36rpx;
              margin-right: 8rpx;
            }
            .descRight{
              p{
                font-size: 24rpx;
                font-family: PingFangSC-Regular, PingFang SC;
                font-weight: 400;
                color: #A69E9F;
                line-height: 36rpx;
              }
            }
          }
          .bottom{
            display: flex;
            align-items: center;
            margin-left: 24px;
            .icon{
              width: 14px;
              height: 14px;
              margin-right: 4px;
            }
            .add{
              font-size: 14px;
              font-family: PingFangSC-Regular, PingFang SC;
              font-weight: 400;
              color: #FA5151;
              line-height: 20px;
              margin-right: 4px;
            }
            .text{
              font-size: 14px;
              font-family: PingFangSC-Regular, PingFang SC;
              font-weight: 400;
              color: #A69E9F;
              line-height: 20px;
            }
          }
        }

      }

    .springTravelBox{
      .overAllData{
        width: 100%;
        box-sizing: border-box;
        padding: 2rpx;
        background: #fff;
        border-radius: 16rpx;
        .overAllDataTop{
          width: 100%;
          height: 160rpx;
          background: linear-gradient(360deg, rgba(255,233,229,0) 0%, #FEDEDD 100%);
          border-radius: 14rpx 14rpx 16rpx 16rpx;
          box-sizing: border-box;
          padding: 22rpx;
          .titleBox{
            width: 100%;
            display: flex;
            .titleImg{
              width: 216rpx;
              height: 74rpx;
            }
            .titleNotice{
              font-size: 24rpx;
              font-family: PingFangSC, PingFang SC;
              font-weight: 400;
              color: #9A9A9A;
              line-height: 36rpx;
            }
          }
          .contentTitleBox{
            width: 100%;
            display: flex;
            align-items: center;
            justify-content: space-between;
            .contentTitle{
              font-size: 24rpx;
              font-family: PingFangSC, PingFang SC;
              font-weight: 400;
              color: #160002;
              line-height: 36rpx;
            }
            .YOYBox{
              .YOYBoxText{
                font-size: 24rpx;
                font-family: PingFangSC, PingFang SC;
                font-weight: 400;
                color: #A69E9F;
                line-height: 36rpx;
              }
              .YOYBoxValue{
                font-size: 36rpx;
                font-family: DINAlternate, DINAlternate;
                font-weight: bold;
                color: #E83944;
                line-height: 40rpx;
              }
            }
          }
        }
      }
    }
  }

  //.pageContentSpring{
  //  background-image: url("https://eshangtech.com/ShopICO/ahyd-BID/national/spring.png")!important;
  //}
  //.pageContentLabour{
  //  background-image: url("https://eshangtech.com/ShopICO/ahyd-BID/national/labour.png")!important;
  //}
  //.pageContentSummerHoliday{
  //  background-image: url("https://eshangtech.com/ShopICO/ahyd-BID/national/summerHoliday.png")!important;
  //}
  //.pageContentNationalDay{
  //  background-image: url("https://eshangtech.com/ShopICO/ahyd-BID/national/nationalDay.png")!important;
  //}
}

</style>
